### Name: AssetsPlots
### Title: Plots of Multivariate Asset Sets
### Aliases: AssetsPlots assetsReturnPlot assetsCumulatedPlot
###   assetsSeriesPlot assetsHistPlot assetsQQNormPlot assetsRiskReturnPlot
###   assetsNIGShapeTrianglePlot assetsBoxPlot assetsBoxPercentilePlot
###   assetsCorgramPlot assetsPairsPlot assetsCorTestPlot
###   assetsCorEigenPlot assetsTreePlot assetsDendrogramPlot
###   assetsStarsPlot assetsMomentsPlot assetsBasicStatsPlot
###   assetsBoxStatsPlot assetsNIGFitPlot
### Keywords: models

### ** Examples

## berndtInvest -
   data(berndtInvest)
   # Select "CONTIL" "DATGEN" "TANDY" and "DEC" Stocks:
   select = c("CONTIL", "DATGEN", "TANDY", "DEC")
   # Convert into a timeSeries object:
   berndtAssets.tS = as.timeSeries(berndtInvest)[, select]
   head(berndtAssets.tS)
   
## assetsSeriesPlot - 
   # Display time series of individual assets
   par(mfrow = c(2, 2), cex = 0.7)
   assetsSeriesPlot(berndtAssets.tS)
       
## assetsHistPlot -       
   # Display histograms of individual assets 
   assetsHistPlot(berndtAssets.tS)
   
## assetsQQNormPlot -       
   # Display normal qq-plots of individual assets
   assetsQQNormPlot(berndtAssets.tS)

## assetsPairsPlot -        
   # Display pairs of scatterplots of individual assets
   assetsPairsPlot(berndtAssets.tS)
   
## assetsCorTestPlot -      
   # Display and tests pairwise correlations of assets
   assetsCorTestPlot(berndtAssets.tS)   



