### Name: AssetsSelection
### Title: Selecting Assets from Multivariate Asset Sets
### Aliases: AssetsSelection assetsSelect
### Keywords: models

### ** Examples

## berndtInvest -
   data(berndtInvest)
   # Market and Interest Rate columns from data frame,
   berndtAssets.tS = as.timeSeries(berndtInvest)[, -c(10, 17)]
   head(berndtAssets.tS)
    
## assetsSelect -
   # Hierarchical Clustering:
   clustered = assetsSelect(berndtAssets.tS, doplot = FALSE)
   clusteredAssets.tS = berndtAssets.tS[, c(clustered$order[1:4])]
   colnames(clusteredAssets.tS)
   # Cluster Dendogram:
   par(mfrow = c(1, 1))
   plot(clustered)  



